@import '../variables.scss';

.input {
  border: 1px solid $gray;
  border-radius: 0.25rem;
  padding: 0.5rem;
  height: 2.5rem;
  font-size: 0.9rem;
  color: $gray-dark;
  transition: color 0.2s ease;
  display: flex;
  align-items: center;

  &::placeholder, &--placeholder {
    color: $gray;
    opacity: 1;
    transition: color 0.2s ease;
  }

  &:focus {
    border-color: #858585;
    &::placeholder {
      color: #858585;
    }
  }


  &--double {
    padding: 0;
    display: flex;

    .input {
      flex: 1;
      min-width: 0;
    }
  }

  &--to-format {
    position: relative;
    z-index: 2;
    opacity: 0;
    background-color: #fff;

    &:hover, &:focus {
      opacity: 1;
    }
  }

  &--formatted {
    z-index: 1;
    position: absolute;
    bottom: 0;
    width: 100%;
  }

  &-label {
    text-transform: uppercase;
    color: #aaa;
    font-size: 0.75rem;
    margin-bottom: 0.3rem;
    font-weight: 600;
  }

  &-group {
    position: relative;
    display: flex;
    flex-direction: column;
    margin-top: 2rem;

    &--error {
      .input {
        border-color: $tomato-red;

        &-label {
          color: $tomato-red;
        }
      }
    }
  }

  &--textarea {
    resize: none;
    height: 10rem;
  }
}

@media (min-width: $lg) {
  .input{
    width: 22rem;

    &--textarea {
      width: unset;
    }
  }
}
